unit Unit2;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,  mmsystem;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TButton;
    Panel2: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    ProgramIcon: TImage;
    CheckBox1: TCheckBox;
    Timer1: TTimer;
    ScrollBox1: TScrollBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Memo1: TMemo;
    procedure OKButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CheckBox1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.dfm}
{$R extra.res}

var
 s_on, s_OK:boolean;
   p: pointer;
  cnt:byte;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
AboutBox.Close;
end;

procedure TAboutBox.FormCreate(Sender: TObject);
var
  WOutCaps: TWAVEOUTCAPS;
  h: THandle;
begin
 FillChar(WOutCaps, SizeOf(TWAVEOUTCAPS), #0);
  if MMSYSERR_NOERROR = WaveOutGetDevCaps(0, @WOutCaps, SizeOf(TWAVEOUTCAPS))
    then begin
  s_OK:=true;
  s_on:=true;
  CheckBox1.Enabled:=true;
  h := FindResource(hInstance, 'JUNGLE', 'WAVE');
  h := LoadResource(hInstance, h);
  p := LockResource(h);
  UnLockResource(h);
  FreeResource(h);
  end else begin
  s_OK:=false;
  s_on:=false;
end;
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
cnt:=0;
Timer1.Enabled:=true;
if s_OK and s_on then
  sndPlaySound(p, SND_MEMORY or SND_ASYNC + SND_LOOP);
end;

procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
sndPlaySound(nil, SND_ASYNC);
Timer1.Enabled:=false;
ScrollBox1.ScrollBy(0,cnt);
end;

procedure TAboutBox.CheckBox1Click(Sender: TObject);
begin
s_on:=not s_on;
if s_OK then
if s_on then
  sndPlaySound(p, SND_MEMORY or SND_ASYNC + SND_LOOP)
else
  sndPlaySound(nil, SND_ASYNC);
end;

procedure TAboutBox.Timer1Timer(Sender: TObject);
begin
inc(cnt);
ScrollBox1.ScrollBy(0,-1);
if cnt=255 then begin
ScrollBox1.ScrollBy(0,255);
cnt:=0;
end;
end;

end.
 
